[rhmessaging-commits] rhmessaging commits: r1393 - mgmt/bin.

rhmessaging-commits at lists.jboss.org rhmessaging-commits at lists.jboss.org
Thu Nov 29 11:44:35 EST 2007


Author: justi9
Date: 2007-11-29 11:44:35 -0500 (Thu, 29 Nov 2007)
New Revision: 1393

Added:
   mgmt/bin/devel-reload-database
Log:
Adds a script to drop and reload the schema.



Added: mgmt/bin/devel-reload-database
===================================================================
--- mgmt/bin/devel-reload-database	                        (rev 0)
+++ mgmt/bin/devel-reload-database	2007-11-29 16:44:35 UTC (rev 1393)
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+if [ -z "$1" ]; then
+    echo "Usage: devel-reload-database DATABASE-NAME"
+    exit 1
+fi
+
+psql -d "$1" -c "drop schema public cascade; create schema public"
+psql -d "$1" -f "$DEVEL_HOME"/mint/python/mint/schema.sql


Property changes on: mgmt/bin/devel-reload-database
___________________________________________________________________
Name: svn:executable
   + *




More information about the rhmessaging-commits mailing list